Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.archiving
Interface TrackingEventType

    public interface TrackingEventType

Field Summary
`static int` | `EVENT_TYPE_CHILD_PROCESS_INSTANCE_CONTINUE` Contains process_instance ID of the child process called via ProcessControl
`static int` | `EVENT_TYPE_CHILD_PROCESS_INSTANCE_START` Contains process_instance ID of the child process started via ProcessControl
`static int` | `EVENT_TYPE_PARENT_PROCESS_INSTANCE_CONTINUE` Contains process_instance ID of the parent process that called this process via ProcessControl
`static int` | `EVENT_TYPE_PARENT_PROCESS_INSTANCE_START` Contains process_instance ID of the parent process that started this process via ProcessControl
`static int` | `EVENT_TYPE_PROCESS_ABORTED` Indicates when an instance of the process is aborted due to an unhandled exception
`static int` | `EVENT_TYPE_PROCESS_ACTIVITY_ABORT` Indicates the abnormal end of a process node execution.
`static int` | `EVENT_TYPE_PROCESS_ACTIVITY_END` Indicates the normal end of a process node execution.
`static int` | `EVENT_TYPE_PROCESS_ACTIVITY_START` Indicates the start of a process node execution.
`static int` | `EVENT_TYPE_PROCESS_FROZEN` Process was frozen due to errors but can be restarted
`static int` | `EVENT_TYPE_PROCESS_LABEL` Indicates a change in the process label.
`static int` | `EVENT_TYPE_PROCESS_LOG` Indicates when a user invokes JpdContext.log()
`static int` | `EVENT_TYPE_PROCESS_RESUMED` Indicates that the process was resumed by administrator.
`static int` | `EVENT_TYPE_PROCESS_SUSPENDED` Indicates that the process was suspended by administrator.
`static int` | `EVENT_TYPE_PROCESS_TERMINATED` The process was manually terminated from OA&M console.
`static int` | `EVENT_TYPE_PROCESS_UNFROZEN` A frozen process was restarted
`static int` | `EVENT_TYPE_UNHANDLED_EXCEPTION` Indicates that an exception was raised during process execution and this exception was not handled by any exception handler.
`static int` | `EVENT_TYPE_VARIABLE_DETAIL` Contains complete value of process variable
`static int` | `EVENT_TYPE_VARIABLE_SUMMARY` Contains summary value of the process variables stored in a Map against the variable names

Field Detail

### EVENT_TYPE_PROCESS_ACTIVITY_START

    static final int EVENT_TYPE_PROCESS_ACTIVITY_START

  Indicates the start of a process node execution.

  See Also:
    Constant Field Values

### EVENT_TYPE_PROCESS_ACTIVITY_END

    static final int EVENT_TYPE_PROCESS_ACTIVITY_END

  Indicates the normal end of a process node execution.

  See Also:
    Constant Field Values

### EVENT_TYPE_PROCESS_ACTIVITY_ABORT

    static final int EVENT_TYPE_PROCESS_ACTIVITY_ABORT

  Indicates the abnormal end of a process node execution. For example, 2 branches may be started for a choice. One is executed, the other branch is aborted.

  See Also:
    Constant Field Values

### EVENT_TYPE_UNHANDLED_EXCEPTION

    static final int EVENT_TYPE_UNHANDLED_EXCEPTION

  Indicates that an exception was raised during process execution and this exception was not handled by any exception handler. This event includes the exception.

  See Also:
    Constant Field Values

### EVENT_TYPE_PROCESS_ABORTED

    static final int EVENT_TYPE_PROCESS_ABORTED

  Indicates when an instance of the process is aborted due to an unhandled exception

  See Also:
    Constant Field Values

### EVENT_TYPE_PROCESS_SUSPENDED

    static final int EVENT_TYPE_PROCESS_SUSPENDED

  Indicates that the process was suspended by administrator.

  See Also:
    Constant Field Values

### EVENT_TYPE_PROCESS_RESUMED

    static final int EVENT_TYPE_PROCESS_RESUMED

  Indicates that the process was resumed by administrator.

  See Also:
    Constant Field Values

### EVENT_TYPE_PROCESS_TERMINATED

    static final int EVENT_TYPE_PROCESS_TERMINATED

  The process was manually terminated from OA&M console.

  See Also:
    Constant Field Values

### EVENT_TYPE_PROCESS_FROZEN

    static final int EVENT_TYPE_PROCESS_FROZEN

  Process was frozen due to errors but can be restarted

  See Also:
    Constant Field Values

### EVENT_TYPE_PROCESS_UNFROZEN

    static final int EVENT_TYPE_PROCESS_UNFROZEN

  A frozen process was restarted

  See Also:
    Constant Field Values

### EVENT_TYPE_PROCESS_LOG

    static final int EVENT_TYPE_PROCESS_LOG

  Indicates when a user invokes JpdContext.log()

  See Also:
    Constant Field Values

### EVENT_TYPE_PROCESS_LABEL

    static final int EVENT_TYPE_PROCESS_LABEL

  Indicates a change in the process label.

  See Also:
    Constant Field Values

### EVENT_TYPE_CHILD_PROCESS_INSTANCE_START

    static final int EVENT_TYPE_CHILD_PROCESS_INSTANCE_START

  Contains process_instance ID of the child process started via ProcessControl

  See Also:
    Constant Field Values

### EVENT_TYPE_PARENT_PROCESS_INSTANCE_START

    static final int EVENT_TYPE_PARENT_PROCESS_INSTANCE_START

  Contains process_instance ID of the parent process that started this process via ProcessControl

  See Also:
    Constant Field Values

### EVENT_TYPE_CHILD_PROCESS_INSTANCE_CONTINUE

    static final int EVENT_TYPE_CHILD_PROCESS_INSTANCE_CONTINUE

  Contains process_instance ID of the child process called via ProcessControl

  See Also:
    Constant Field Values

### EVENT_TYPE_PARENT_PROCESS_INSTANCE_CONTINUE

    static final int EVENT_TYPE_PARENT_PROCESS_INSTANCE_CONTINUE

  Contains process_instance ID of the parent process that called this process via ProcessControl

  See Also:
    Constant Field Values

### EVENT_TYPE_VARIABLE_SUMMARY

    static final int EVENT_TYPE_VARIABLE_SUMMARY

  Contains summary value of the process variables stored in a Map against the variable names

  See Also:
    Constant Field Values

### EVENT_TYPE_VARIABLE_DETAIL

    static final int EVENT_TYPE_VARIABLE_DETAIL

  Contains complete value of process variable

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD